rte_event_timer_adapter_info(3)

NAME
rte_event_timer_adapter_info

SYNOPSIS

#include <rte_event_timer_adapter.h>

  Data Fields

uint64_t min_resolution_ns
uint64_t max_tmo_ns
struct rte_event_timer_adapter_conf conf
uint32_t caps
int16_t event_dev_port_id

Detailed Description

Timer adapter info structure.

Definition at line 282 of file rte_event_timer_adapter.h.

Field Documentation

  uint64_t min_resolution_ns
Minimum timer adapter resolution in ns

Definition at line 283 of file rte_event_timer_adapter.h.

  uint64_t max_tmo_ns
Maximum timer timeout(expire) in ns

Definition at line 285 of file rte_event_timer_adapter.h.

  struct rte_event_timer_adapter_conf conf
Configured timer adapter attributes

Definition at line 287 of file rte_event_timer_adapter.h.

  uint32_t caps
Event timer adapter capabilities

Definition at line 289 of file rte_event_timer_adapter.h.

  int16_t event_dev_port_id
Event device port ID, if applicable

Definition at line 291 of file rte_event_timer_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.